/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.common.model.person.id;

import java.io.Serializable;

import gov.va.med.fw.model.BaseEntityKey;

import gov.va.med.esr.common.model.person.Person;

/**
 * Initial javadoc for class PersonIdEntityKeyImpl.
 * TODO - Add content here
 * 
 * Created Jul 19, 2005 11:22:13 PM
 * @author DNS   BOHMEG
 */
public class PersonIdEntityKeyImpl extends BaseEntityKey implements
		PersonIdEntityKey {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4903476594739088061L;

	public PersonIdEntityKeyImpl(Serializable id) {
		super(id, Person.class);
	}

	public PersonIdEntityKeyImpl(Serializable id, Integer version) {
		super(id, version, Person.class);
	}

	/* (non-Javadoc)
	 * @see gov.va.med.esr.common.model.person.id.PersonEntityKey#getPersonId()
	 */
	public Serializable getPersonId() {
		return getKeyValue();
	}

}
